%global pypi_name requestsexceptions

Summary:        Import exceptions from potentially bundled packages in requests
Name:           python-%{pypi_name}
Version:        1.4.0
Release:        4%{?dist}
License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
This is a simple library to find the correct path to exceptions in the requests library regardless of whether they are bundled.

%package -n python3-%{pypi_name}
Summary:        Import exceptions from potentially bundled packages in requests
BuildRequires:  python3-devel python3-pbr

%description -n python3-%{pypi_name}
This is a simple library to find the correct path to exceptions in the requests library regardless of whether they are bundled.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Shuo Wang <abushwang@tencent.com> - 1.4.0-1
- initial build
